Bug 207602 - nfs access hangs
nfs access hangs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-21 16:04 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.18-1.2189.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 17:09:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
process traces (170.53 KB, text/plain)
2006-09-21 16:04 EDT, Orion Poplawski
no flags Details
SysRq t trace (184.83 KB, text/plain)
2006-09-29 18:16 EDT, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2006-09-21 16:04:00 EDT
Description of problem:

System is reliably hanging trying to access one of our NFS servers.  Seems
isolated to this machine (other FC5 clients have not had problems).  Partial
(hopefully complete enough) trace attached.  Symptoms are access to certain
directories on server hang.  In the trace there are some hung ls processes.
dmesg also hangs.

Version-Release number of selected component (if applicable):
2.6.17-1.2187_FC5

How reproducible:
Very frequently since upgrading to FC5.

Steps to Reproduce:
1. access nfs directory
Comment 1 Orion Poplawski 2006-09-21 16:04:01 EDT
Created attachment 136904 [details]
process traces
Comment 2 Orion Poplawski 2006-09-29 18:16:29 EDT
Created attachment 137450 [details]
SysRq t trace

Seeing it on another machine now too.  Also x86_64 (though pretty different
hardware), also FC5 same kernel.

I've gone back to 2.6.15-1.2054_FC5 (stock FC5) kernel for now.  It was the
only older kernel I had on hand.  Have not had the problem again on the first
machine since it was booted.  Will see on the second as well.
Comment 3 Steve Dickson 2006-10-02 21:39:31 EDT
Looking at all both traces, it appears that you might be running
out of memory. The reason I say that is all the processes seem
to be hung with alloc_pages the stack...  so I'm thinking
there was some type of VM that may not be recycling
pages... have you tried a 2.6.18 kernel?
Comment 4 Orion Poplawski 2006-10-03 11:38:45 EDT
I'll try kernel-2.6.18-1.2189.fc5 next.  Is there any other kind of debug info
that would be useful?

Problem seems to occur when IDL is writing out a "save" file, which is kind of a
snaphot of it's memory and state.
Comment 5 Dave Jones 2006-10-16 17:28:11 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Orion Poplawski 2006-10-17 17:09:49 EDT
Appears to have been fixed in kernel-2.6.18-1.2189.fc5.

Note You need to log in before you can comment on or make changes to this bug.